package com.hzya.frame.sys.dictionaryshopNew.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 数据字典表
 * @tableName:   sys_dictionaryshop_new
 * @entityName:  SysDictionaryshopNew
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysDictionaryshopNew  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 表名 */
	private String tabName;
	/** 列名 */
	private String columnName;
	/** 列说明 */
	private String columnContent;
	/** 列值 */
	private String columnValue;
	/** 列数字值用于比较数据字典大小 */
	private Long columnNumValue;
	/** 如果数据字典上下级，通过连接上级id，当前表id */
	private Long upId;
	/** 备注 */
	private String memo;
	/** 使用状态,1 使用，2 不使用 */
	private String usedSts;
	/** 排序 */
	private Long sorts;
	/** 所属组织机构 */
	private String orgId;
	/** 创建人 */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人 */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态 */
	private String sts;
	private String sort;
	private String order;

	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 表名 */
	public void setTabName(String tabName) {
		this.tabName = tabName;
	}
	/** 表名 */
	public String getTabName() {
		return tabName;
	}
	/** 列名 */
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	/** 列名 */
	public String getColumnName() {
		return columnName;
	}
	/** 列说明 */
	public void setColumnContent(String columnContent) {
		this.columnContent = columnContent;
	}
	/** 列说明 */
	public String getColumnContent() {
		return columnContent;
	}
	/** 列值 */
	public void setColumnValue(String columnValue) {
		this.columnValue = columnValue;
	}
	/** 列值 */
	public String getColumnValue() {
		return columnValue;
	}
	/** 列数字值用于比较数据字典大小 */
	public void setColumnNumValue(Long columnNumValue) {
		this.columnNumValue = columnNumValue;
	}
	/** 列数字值用于比较数据字典大小 */
	public Long getColumnNumValue() {
		return columnNumValue;
	}
	/** 如果数据字典上下级，通过连接上级id，当前表id */
	public void setUpId(Long upId) {
		this.upId = upId;
	}
	/** 如果数据字典上下级，通过连接上级id，当前表id */
	public Long getUpId() {
		return upId;
	}
	/** 备注 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
	/** 备注 */
	public String getMemo() {
		return memo;
	}
	/** 使用状态,1 使用，2 不使用 */
	public void setUsedSts(String usedSts) {
		this.usedSts = usedSts;
	}
	/** 使用状态,1 使用，2 不使用 */
	public String getUsedSts() {
		return usedSts;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 所属组织机构 */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 所属组织机构 */
	public String getOrgId() {
		return orgId;
	}
	/** 创建人 */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人 */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人 */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人 */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态 */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态 */
	public String getSts() {
		return sts;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}


}
